import {
  select,
  scaleOrdinal,
  scaleSqrt
} from 'd3';
import { colorLegend, sizeLegend } from './legend';

// Select the svg
const svg = select('svg');

// Create a Color Legend
const colorScale = scaleOrdinal()
	.domain(['apple','lemon','lime','orange'])
	.range(['#c11d1d','#eae600','green','orange']);

svg.append('g')
	.attr('transform',`translate(100,150)`)
	.call(colorLegend, {
		colorScale,
    itemRadius: 30,
  	itemSpacing: 80,
    itemTextPos: 50
});

// Create a Size Legend
const sizeScale = scaleSqrt()
	.domain([0,10])
	.range([0,50]);

svg.append('g')
	.attr('transform',`translate(400,150)`)
	.call(sizeLegend, {
		sizeScale,
  	itemAmount: 5,
  	itemFill: 'rgba(0,0,167,0.5)',
   	itemSpacing: 80,
    itemTextPos: 40
});